package com.amqp.shanxi;

import com.amqp.shanxi.service.AlarmDataAMQPService;
import com.amqp.shanxi.service.DeviceStaticDataAMQPService;
import com.amqp.shanxi.service.RealTimeDataAMQPService;
import com.amqp.shanxi.service.ThreadService;
import com.rabbitmq.client.Connection;
import com.rabbitmq.client.ConnectionFactory;
//import com.ulisesbocchio.jasyptspringboot.annotation.EnableEncryptableProperties;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.ConfigurableApplicationContext;

@SpringBootApplication
//@EnableEncryptableProperties
public class ShanxiApplication {

    /*
       请上传尾矿库监测数据，以下是上传数据所需的配置信息：
        代县程林铁矿黑介沟尾矿库
        尾矿库编号：1409230002
        数据上传IP：192.168.1.253
        rbmq账号：dxclhjg
        rbmq密码：7G1WJp
        密钥：aq6Q90xDtIANw7+pwTyECg==
        向量：ATIjly3q6UWeJoGQh5+msQ==
    */
    public static void main(String[] args) {
        ConfigurableApplicationContext run = SpringApplication.run(ShanxiApplication.class, args);
        DeviceStaticDataAMQPService deviceStaticDataAMQPService = run.getBean(DeviceStaticDataAMQPService.class);
        RealTimeDataAMQPService realTimeDataAMQPService = run.getBean(RealTimeDataAMQPService.class);
        AlarmDataAMQPService alarmDataAMQPService = run.getBean(AlarmDataAMQPService.class);
        try{
            ConnectionFactory factory = new ConnectionFactory();
            // rabbitmq监听IP
            factory.setHost("192.168.1.253");
            // rabbitmq监听默认端口
            factory.setPort(5672);
            // 设置访问的用户
            factory.setUsername("dxclhjg");
            factory.setPassword("7G1WJp");
            factory.setVirtualHost("/");
            Connection connection = factory.newConnection();
            ThreadService threadService1 = new ThreadService("staticData", connection, deviceStaticDataAMQPService, realTimeDataAMQPService, alarmDataAMQPService);
            ThreadService threadService2 = new ThreadService("realTimeData", connection, deviceStaticDataAMQPService, realTimeDataAMQPService,alarmDataAMQPService);
            ThreadService threadService3 = new ThreadService("alarmData", connection, deviceStaticDataAMQPService, realTimeDataAMQPService,alarmDataAMQPService);
            threadService1.start();
            threadService2.start();
            threadService3.start();
        } catch(Exception e) {
            e.printStackTrace();
        }
    }

}
